doloforge (2.0.39) stable; urgency=low

  * nginx: removed OCSP stapling because Let's Encrypt do not provide it
    anymore (ssl_stapling and ssl_stapling_verify);

 -- Nicolas Huillard <nicolas@huillard.net>  Sun, 18 May 2025 10:34:04 +0200

doloforge (2.0.38) stable; urgency=low

  * nginx: general-purpose tracking does not handle external redirects any
    longer; cf. /dololib/track.mc:clic and the <a ping=""> tag

 -- Nicolas Huillard <nicolas@huillard.net>  Fri, 28 Feb 2025 15:32:13 +0100

doloforge (2.0.37) stable; urgency=low

  * bulkmail: adjusted mail headers (Date:)
  * nginx: now uses main domainname in /.well-known/ redirect as last resort

 -- Nicolas Huillard <nicolas@huillard.net>  Mon, 13 Jan 2025 19:03:16 +0100

doloforge (2.0.36) stable; urgency=low

  * bulkmail: ability to merge a forwarded email, if its text contains
    merging markers (<% %>), albeit limited to merging email only. Used to add
    list-Unsubscribe* headers.

 -- Nicolas Huillard <nicolas@huillard.net>  Mon, 02 Sep 2024 17:32:59 +0200

doloforge (2.0.35) stable; urgency=low

  * nginx: improved redirect, not only to main servername, but also to other
    name somewhere else
  * nginx: improved fail2ban rules

 -- Nicolas Huillard <nicolas@huillard.net>  Sat, 06 Jan 2024 10:40:24 +0100

doloforge (2.0.34) stable; urgency=low

  * nginx: added fail2ban rules to generalize banning on every front-end
    website

 -- Nicolas Huillard <nicolas@huillard.net>  Mon, 04 Dec 2023 15:57:48 +0100

doloforge (2.0.33) stable; urgency=low

  * Mason: max upload size changed from 10MiB to 20MiB (need a restart)

 -- Nicolas Huillard <nicolas@huillard.net>  Fri, 23 Jun 2023 16:59:49 +0200

doloforge (2.0.32) stable; urgency=low

  * nginx/tracker: add a coherent response to navigator.sendBeacon()
  * nginx/rewrites: various fixes
  * nginx/auth_basic: remove when accessing /.well-known/

 -- Nicolas Huillard <nicolas@huillard.net>  Mon, 08 May 2023 11:16:13 +0200

doloforge (2.0.31) stable; urgency=low

  * bulkmail: remove duplicate DKIM-Signature header in sent email

 -- Nicolas Huillard <nicolas@huillard.net>  Wed, 11 Jan 2023 18:34:29 +0100

doloforge (2.0.30) stable; urgency=low

  * nginx: rewrite host map before uri map, to avoid redirecting twice
  * cron: add a per-job email recipient in the project configuration

 -- Nicolas Huillard <nicolas@huillard.net>  Mon, 09 Jan 2023 17:56:40 +0100

doloforge (2.0.29) stable; urgency=low

  * cron: dependency timing between maintenance (before) and run (after)

 -- Nicolas Huillard <nicolas@huillard.net>  Tue, 11 Jan 2022 11:54:07 +0100

doloforge (2.0.28) stable; urgency=low

  * mason: differenciate proxied vs. handled extensions, to allow HTML::Mason
    to process *.mc URIs on all stages, when calling directly the back-end,
    without passing through nginx

 -- Nicolas Huillard <nicolas@huillard.net>  Tue, 21 Dec 2021 16:46:29 +0100

doloforge (2.0.27) stable; urgency=low

  * cron/mason: bug-fix

 -- Nicolas Huillard <nicolas@huillard.net>  Tue, 14 Dec 2021 15:36:52 +0100

doloforge (2.0.26) stable; urgency=low

  * cron/mason: add hourly maintenance run to clean cache directory

 -- Nicolas Huillard <nicolas@huillard.net>  Tue, 14 Dec 2021 12:18:28 +0100

doloforge (2.0.25) stable; urgency=low

  * templates: add PROTO, URL keys, improve website backend configuration

 -- Nicolas Huillard <nicolas@huillard.net>  Tue, 30 Nov 2021 18:56:19 +0100

doloforge (2.0.24) stable; urgency=low

  * report: search external script in dir:shared: location
  * report: always pass REP_DATE_END argument

 -- Nicolas Huillard <nicolas@huillard.net>  Tue, 12 Jan 2021 18:38:30 +0100

doloforge (2.0.23) stable; urgency=low

  * bulkmail: improve bulkmail maintenance cron jobs

 -- Nicolas Huillard <nicolas@huillard.net>  Tue, 29 Dec 2020 09:03:44 +0100

doloforge (2.0.22) stable; urgency=low

  * bulkmail: retreive bounce log files from external relay hosts

 -- Nicolas Huillard <nicolas@huillard.net>  Wed, 23 Dec 2020 13:56:00 +0100

doloforge (2.0.21) stable; urgency=low

  * bulkmail: change tempdir permissions when a project runs cron analysers on
    behalf of other clients (ie. dolomede/dolodrome)

 -- Nicolas Huillard <nicolas@huillard.net>  Fri, 18 Dec 2020 18:53:18 +0100

doloforge (2.0.20) stable; urgency=low

  * bulkmail: add the --get-report sub-command, to be used within cron/hourly
    jobs

 -- Nicolas Huillard <nicolas@huillard.net>  Wed, 02 Dec 2020 19:16:52 +0100

doloforge (2.0.19) stable; urgency=low

  * bulkmail: add bad/bounce email addresses to the summary report

 -- Nicolas Huillard <nicolas@huillard.net>  Tue, 01 Dec 2020 19:01:42 +0100

doloforge (2.0.18) stable; urgency=low

  * bulkmail: add bad/bounce email addresses to the summary report

 -- Nicolas Huillard <nicolas@huillard.net>  Tue, 01 Dec 2020 18:37:06 +0100

doloforge (2.0.17) stable; urgency=low

  * bulkmail: add de summary report, and call the command a second time to
    feed it the report, for database inclusion, after the bulk mailing is
    finished.

 -- Nicolas Huillard <nicolas@huillard.net>  Wed, 25 Nov 2020 17:31:43 +0100

doloforge (2.0.16) stable; urgency=low

  * simple re-upload

 -- Nicolas Huillard <nicolas@huillard.net>  Sun, 01 Nov 2020 17:43:11 +0100

doloforge (2.0.15) stable; urgency=low

  * project_env: now in Perl do($file) format

 -- Nicolas Huillard <nicolas@huillard.net>  Sun, 01 Nov 2020 17:08:36 +0100

doloforge (2.0.14) stable; urgency=low

  * new client/user: properly create uid/gid

 -- Nicolas Huillard <nicolas@huillard.net>  Tue, 21 Jan 2020 19:00:39 +0100

doloforge (2.0.13) stable; urgency=low

  * wordpress: nginx proxy-cache configuration template

 -- Nicolas Huillard <nicolas@huillard.net>  Sat, 09 Nov 2019 18:23:34 +0100

doloforge (2.0.12) stable; urgency=low

  * wordpress: nginx proxy-cache configuration template

 -- Nicolas Huillard <nicolas@huillard.net>  Wed, 06 Nov 2019 18:41:32 +0100

doloforge (2.0.11) stable; urgency=low

  * wordpress: nginx proxy-cache configuration template

 -- Nicolas Huillard <nicolas@huillard.net>  Tue, 05 Nov 2019 19:12:42 +0100

doloforge (2.0.10) stable; urgency=low

  * bulkmail: fix DSN priorities to generate bounce_*.csv

 -- Nicolas Huillard <nicolas@huillard.net>  Fri, 25 Oct 2019 21:27:11 +0200

doloforge (2.0.9) stable; urgency=low

  * bulkmail: fix DSN priorities to generate bounce_*.csv

 -- Nicolas Huillard <nicolas@huillard.net>  Fri, 25 Oct 2019 19:27:49 +0200

doloforge (2.0.8) stable; urgency=low

  * skel: add Wordpress nginx+php5 templates, and a wp-config.php.tmpl stub

 -- Nicolas Huillard <nicolas@huillard.net>  Wed, 16 Oct 2019 17:40:56 +0200

doloforge (2.0.7) stable; urgency=low

  * bulkmail maintenance: don't mess timestamps when reading multiple log files

 -- Nicolas Huillard <nicolas@huillard.net>  Mon, 07 Oct 2019 12:41:31 +0200

doloforge (2.0.6) stable; urgency=low

  * cron maintenance: tweaks

 -- Nicolas Huillard <nicolas@huillard.net>  Thu, 05 Sep 2019 21:38:44 +0200

doloforge (2.0.5) stable; urgency=low

  * cron maintenance: tweaks

 -- Nicolas Huillard <nicolas@huillard.net>  Thu, 05 Sep 2019 19:28:19 +0200

doloforge (2.0.4) stable; urgency=low

  * cron maintenance: redisigned the chained run, which will not work anymore
    if the mail server does not have access to shared lock directories.

 -- Nicolas Huillard <nicolas@huillard.net>  Thu, 05 Sep 2019 18:53:12 +0200

doloforge (2.0.3) stable; urgency=low

  * nginx: improved error page settings

 -- Nicolas Huillard <nicolas@huillard.net>  Fri, 09 Aug 2019 13:59:52 +0200

doloforge (2.0.2) stable; urgency=low

  * nginx: improved error logging (project-specific and platform-wide)

 -- Nicolas Huillard <nicolas@huillard.net>  Fri, 09 Aug 2019 11:50:08 +0200

doloforge (2.0.1) stable; urgency=low

  * nginx: add request limit rate configuration within backends

 -- Nicolas Huillard <nicolas@huillard.net>  Thu, 08 Aug 2019 23:25:48 +0200

doloforge (2.0.0) stable; urgency=low

  * templates: improved website backend (reverse-proxy)
  * package: finally upgrade to 2.0.0, since it's working on Doloforge 2,
    and was not updated since a long time

 -- Nicolas Huillard <nicolas@huillard.net>  Mon, 05 Aug 2019 14:31:41 +0200

doloforge (0.26.96) stable; urgency=low

  * services: use numeric uid/gid where needed, in order to --update on NFS

 -- Nicolas Huillard <nicolas@huillard.net>  Sat, 20 Apr 2019 17:50:30 +0200

doloforge (0.26.95) stable; urgency=low

  * client: add uid/gid in the config file, to decouple the user/group
    creation (account_role) from uid/gid directories setting (nfs_role)

 -- Nicolas Huillard <nicolas@huillard.net>  Sat, 20 Apr 2019 16:43:54 +0200

doloforge (0.26.94) stable; urgency=low

  * client: add uid/gid in the config file, to decouple the user/group
    creation (account_role) from uid/gid directories setting (nfs_role)

 -- Nicolas Huillard <nicolas@huillard.net>  Sat, 20 Apr 2019 15:26:26 +0200

doloforge (0.26.93) stable; urgency=low

  * vlogger: stricter vhost name match, won't create wrong
    vlogger-*.d/{de,job,ou,utf8}/error.log anymore from random STDERR

 -- Nicolas Huillard <nicolas@huillard.net>  Wed, 03 Apr 2019 12:32:34 +0200

doloforge (0.26.92) stable; urgency=low

  * mason: fix ownership, permissions and umask for working dirs/files

 -- Nicolas Huillard <nicolas@huillard.net>  Sat, 30 Mar 2019 10:54:11 +0100

doloforge (0.26.91) stable; urgency=low

  * services factory: fix destroy method, whihc was called without a stage

 -- Nicolas Huillard <nicolas@huillard.net>  Fri, 29 Mar 2019 12:07:57 +0100

doloforge (0.26.90) stable; urgency=low

  * templates: fix nginx handling for /.well-known/ re. domain name map

 -- Nicolas Huillard <nicolas@huillard.net>  Thu, 28 Mar 2019 16:13:53 +0100

doloforge (0.26.89) stable; urgency=low

  * templates: fix nginx handling for /.well-known/ re. domain name map

 -- Nicolas Huillard <nicolas@huillard.net>  Thu, 28 Mar 2019 11:25:42 +0100

doloforge (0.26.88) stable; urgency=low

  * templates: edition rewrite fix

 -- Nicolas Huillard <nicolas@huillard.net>  Mon, 04 Mar 2019 14:55:40 +0100

doloforge (0.26.86) stable; urgency=low

  * mysql: dependencies

 -- Nicolas Huillard <nicolas@huillard.net>  Wed, 20 Feb 2019 12:58:47 +0100

doloforge (0.26.85) stable; urgency=low

  * mysql: adjusted the templates

 -- Nicolas Huillard <nicolas@huillard.net>  Wed, 20 Feb 2019 12:49:05 +0100

doloforge (0.26.84) stable; urgency=low

  * bulkmail, cron: fix creation of /.doloforge/ in some multi-stage --update
    contexts

 -- Nicolas Huillard <nicolas@huillard.net>  Mon, 11 Feb 2019 19:12:51 +0100

doloforge (0.26.83) stable; urgency=low

  * bulkmail: few fixes

 -- Nicolas Huillard <nicolas@huillard.net>  Mon, 11 Feb 2019 18:49:40 +0100

doloforge (0.26.82) stable; urgency=low

  * templates: few fixes

 -- Nicolas Huillard <nicolas@huillard.net>  Sat, 02 Feb 2019 15:45:21 +0100

doloforge (0.26.81) stable; urgency=low

  * templates: few fixes
  * apache/nginx: remove temporary uncompressed log files

 -- Nicolas Huillard <nicolas@huillard.net>  Tue, 29 Jan 2019 12:36:12 +0100

doloforge (0.26.80) stable; urgency=low

  * project_env: PERL5LIB fixes
  * packaging: fix dependencies

 -- Nicolas Huillard <nicolas@huillard.net>  Wed, 23 Jan 2019 14:27:56 +0100

doloforge (0.26.79) stable; urgency=low

  * Publish: directory fixes

 -- Nicolas Huillard <nicolas@huillard.net>  Wed, 23 Jan 2019 11:51:41 +0100

doloforge (0.26.78) stable; urgency=low

  * Publish: directory fixes

 -- Nicolas Huillard <nicolas@huillard.net>  Tue, 22 Jan 2019 22:18:20 +0100

doloforge (0.26.77) stable; urgency=low

  * Publish: directory fixes

 -- Nicolas Huillard <nicolas@huillard.net>  Tue, 22 Jan 2019 22:00:55 +0100

doloforge (0.26.76) stable; urgency=low

  * packaging: fix dependencies

 -- Nicolas Huillard <nicolas@huillard.net>  Tue, 22 Jan 2019 18:19:50 +0100

doloforge (0.26.75) stable; urgency=low

  * packaging: fix dependencies

 -- Nicolas Huillard <nicolas@huillard.net>  Tue, 22 Jan 2019 16:18:37 +0100

doloforge (0.26.74) stable; urgency=low

  * packaging: fix dependencies

 -- Nicolas Huillard <nicolas@huillard.net>  Mon, 21 Jan 2019 09:17:17 +0100

doloforge (0.26.73) stable; urgency=low

  * packaging: fix dependencies

 -- Nicolas Huillard <nicolas@huillard.net>  Sat, 19 Jan 2019 18:19:53 +0100

doloforge (0.26.72) stable; urgency=low

  * log agregation: tweak jdresolve spawning

 -- Nicolas Huillard <nicolas@huillard.net>  Tue, 09 Oct 2018 08:36:24 +0200

doloforge (0.26.71) stable; urgency=low

  * templates: wrong shared directory in cron, bulkmail services

 -- Nicolas Huillard <nicolas@huillard.net>  Mon, 08 Oct 2018 15:21:35 +0200

doloforge (0.26.70) stable; urgency=low

  * templates: effective config --update --force without consecutive
    generatings

 -- Nicolas Huillard <nicolas@huillard.net>  Sat, 06 Oct 2018 10:14:07 +0200

doloforge (0.26.69) stable; urgency=low

  * mason: $r->dir_config('MODE')

 -- Nicolas Huillard <nicolas@huillard.net>  Fri, 05 Oct 2018 18:52:08 +0200

doloforge (0.26.68) stable; urgency=low

  * mason: use common::sense; use open ":encoding(utf8)";

 -- Nicolas Huillard <nicolas@huillard.net>  Fri, 05 Oct 2018 18:00:58 +0200

doloforge (0.26.67) stable; urgency=low

  * templates: additions, improvements

 -- Nicolas Huillard <nicolas@huillard.net>  Thu, 04 Oct 2018 12:42:50 +0200

doloforge (0.26.66) stable; urgency=low

  * templates: additions, improvements

 -- Nicolas Huillard <nicolas@huillard.net>  Thu, 04 Oct 2018 11:54:23 +0200

doloforge (0.26.65) stable; urgency=low

  * templates: additions, improvements

 -- Nicolas Huillard <nicolas@huillard.net>  Thu, 04 Oct 2018 11:34:41 +0200

doloforge (0.26.64) stable; urgency=low

  * templates: additions, improvements

 -- Nicolas Huillard <nicolas@huillard.net>  Thu, 04 Oct 2018 11:02:32 +0200

doloforge (0.26.63) stable; urgency=low

  * templates: additions, improvements

 -- Nicolas Huillard <nicolas@huillard.net>  Wed, 03 Oct 2018 18:57:58 +0200

doloforge (0.26.62) stable; urgency=low

  * templates: additions, improvements

 -- Nicolas Huillard <nicolas@huillard.net>  Wed, 03 Oct 2018 13:38:36 +0200

doloforge (0.26.61) stable; urgency=low

  * templates: additions, improvements

 -- Nicolas Huillard <nicolas@huillard.net>  Mon, 01 Oct 2018 18:32:55 +0200

doloforge (0.26.60) stable; urgency=low

  * templates: additions, improvements

 -- Nicolas Huillard <nicolas@huillard.net>  Mon, 01 Oct 2018 15:27:49 +0200

doloforge (0.26.59) stable; urgency=low

  * jdresolve: bug when --recurse, which is nowadays useless, added --dbfirst

 -- Nicolas Huillard <nicolas@huillard.net>  Mon, 01 Oct 2018 09:28:04 +0200

doloforge (0.26.58) stable; urgency=low

  * log agregation: use jdresolve instead of logresolvemerge.pl -dnslookup

 -- Nicolas Huillard <nicolas@huillard.net>  Sun, 30 Sep 2018 07:25:08 +0200

doloforge (0.26.57) stable; urgency=low

  * templates: various fixes

 -- Nicolas Huillard <nicolas@huillard.net>  Fri, 28 Sep 2018 17:04:56 +0200

doloforge (0.26.56) stable; urgency=low

  * templates: generic nginx map for URI/Host rewriting

 -- Nicolas Huillard <nicolas@huillard.net>  Fri, 28 Sep 2018 12:11:36 +0200

doloforge (0.26.54) stable; urgency=low

  * templates: updated e-dition sub-template

 -- Nicolas Huillard <nicolas@huillard.net>  Thu, 27 Sep 2018 14:15:39 +0200

doloforge (0.26.53) stable; urgency=low

  * various tunings

 -- Nicolas Huillard <nicolas@huillard.net>  Wed, 26 Sep 2018 13:41:12 +0200

doloforge (0.26.52) stable; urgency=low

  * various tunings

 -- Nicolas Huillard <nicolas@huillard.net>  Thu, 20 Sep 2018 15:53:01 +0200

doloforge (0.26.51) stable; urgency=low

  * various tunings

 -- Nicolas Huillard <nicolas@huillard.net>  Wed, 19 Sep 2018 22:13:28 +0200

doloforge (0.26.50) stable; urgency=low

  * mason: UTF-8 tuning

 -- Nicolas Huillard <nicolas@huillard.net>  Tue, 11 Sep 2018 19:31:28 +0200

doloforge (0.26.49) stable; urgency=low

  * package: packages dependencies change, now need doloforge-dep

 -- Nicolas Huillard <nicolas@huillard.net>  Tue, 11 Sep 2018 09:51:45 +0200

doloforge (0.26.48) stable; urgency=low

  * package: packages dependencies change, now need doloforge-dep

 -- Nicolas Huillard <nicolas@huillard.net>  Tue, 11 Sep 2018 09:47:29 +0200

doloforge (0.26.47) stable; urgency=low

  * package: packages dependencies change, now need doloforge-dep

 -- Nicolas Huillard <nicolas@huillard.net>  Tue, 11 Sep 2018 09:43:23 +0200

doloforge (0.26.46) stable; urgency=low

  * package: packages dependencies change, now need doloforge-dep

 -- Nicolas Huillard <nicolas@huillard.net>  Tue, 11 Sep 2018 09:19:29 +0200

doloforge (0.26.45) stable; urgency=low

  * package: packages dependencies change, now need doloforge-dep

 -- Nicolas Huillard <nicolas@huillard.net>  Tue, 11 Sep 2018 08:30:07 +0200

doloforge (0.26.44) stable; urgency=low

  * package: various Perl CPAN packages dependencies

 -- Nicolas Huillard <nicolas@huillard.net>  Wed, 05 Sep 2018 22:36:55 +0200

doloforge (0.26.43) stable; urgency=low

  * vlogger: stage-dependent naming for _[STAGE]_

 -- Nicolas Huillard <nicolas@huillard.net>  Sun, 02 Sep 2018 11:35:14 +0200

doloforge (0.26.42) stable; urgency=low

  * vlogger: stage-dependent naming for _[STAGE]_

 -- Nicolas Huillard <nicolas@huillard.net>  Mon, 27 Aug 2018 18:12:30 +0200

doloforge (0.26.41) stable; urgency=low

  * vlogger: stage-dependent naming for _default_*_

 -- Nicolas Huillard <nicolas@huillard.net>  Mon, 27 Aug 2018 17:20:51 +0200

doloforge (0.26.40) stable; urgency=low

  * vlogger: stage-dependent naming for _default_*_

 -- Nicolas Huillard <nicolas@huillard.net>  Mon, 27 Aug 2018 16:44:49 +0200

doloforge (0.26.39) stable; urgency=low

  * cron: tuning in a multi-host, shared-stage and shared-storage context

 -- Nicolas Huillard <nicolas@huillard.net>  Sun, 19 Aug 2018 09:20:05 +0200

doloforge (0.26.38) stable; urgency=low

  * cron: tuning in a multi-host, shared-stage and shared-storage context

 -- Nicolas Huillard <nicolas@huillard.net>  Sat, 18 Aug 2018 10:43:00 +0200

doloforge (0.26.37) stable; urgency=low

  * cron: tuning in a multi-host, shared-stage and shared-storage context

 -- Nicolas Huillard <nicolas@huillard.net>  Sat, 18 Aug 2018 09:29:31 +0200

doloforge (0.26.36) stable; urgency=low

  * cron: tuning in a multi-host, shared-stage and shared-storage context

 -- Nicolas Huillard <nicolas@huillard.net>  Fri, 17 Aug 2018 14:14:59 +0200

doloforge (0.26.35) stable; urgency=low

  * package: dependecies, config cleanup

 -- Nicolas Huillard <nicolas@huillard.net>  Thu, 16 Aug 2018 18:20:31 +0200

doloforge (0.26.34) stable; urgency=low

  * systemd: nginx2vlogger

 -- Nicolas Huillard <nicolas@huillard.net>  Tue, 14 Aug 2018 19:02:40 +0200

doloforge (0.26.33) stable; urgency=low

  * various fixes

 -- Nicolas Huillard <nicolas@huillard.net>  Tue, 14 Aug 2018 12:42:54 +0200

doloforge (0.26.32) stable; urgency=low

  * various fixes

 -- Nicolas Huillard <nicolas@huillard.net>  Mon, 13 Aug 2018 14:37:23 +0200

doloforge (0.26.31) stable; urgency=low

  * various fixes

 -- Nicolas Huillard <nicolas@huillard.net>  Mon, 13 Aug 2018 12:18:50 +0200

doloforge (0.26.30) stable; urgency=low

  * various fixes

 -- Nicolas Huillard <nicolas@huillard.net>  Mon, 13 Aug 2018 10:21:23 +0200

doloforge (0.26.29) stable; urgency=low

  * various fixes

 -- Nicolas Huillard <nicolas@huillard.net>  Sun, 12 Aug 2018 19:25:28 +0200

doloforge (0.26.28) stable; urgency=low

  * various fixes

 -- Nicolas Huillard <nicolas@huillard.net>  Sun, 12 Aug 2018 19:14:40 +0200

doloforge (0.26.27) stable; urgency=low

  * fix logresolvemerge.pl date-parsing for nginx error.log

 -- Nicolas Huillard <nicolas@huillard.net>  Sun, 12 Aug 2018 18:27:38 +0200

doloforge (0.26.26) stable; urgency=low

  * package: cleanup

 -- Nicolas Huillard <nicolas@huillard.net>  Sat, 11 Aug 2018 18:08:49 +0200

doloforge (0.26.25) stable; urgency=low

  * package: cleanup

 -- Nicolas Huillard <nicolas@huillard.net>  Sat, 11 Aug 2018 17:59:21 +0200

doloforge (0.26.24) stable; urgency=low

  * package: cleanup

 -- Nicolas Huillard <nicolas@huillard.net>  Sat, 11 Aug 2018 16:16:41 +0200

doloforge (0.26.23) stable; urgency=low

  * package: Mason stage-dependent setup

 -- Nicolas Huillard <nicolas@huillard.net>  Fri, 10 Aug 2018 21:47:22 +0200

doloforge (0.26.22) stable; urgency=low

  * package: Mason stage-dependent setup

 -- Nicolas Huillard <nicolas@huillard.net>  Fri, 10 Aug 2018 18:39:48 +0200

doloforge (0.26.21) stable; urgency=low

  * package: moving logs in /var/log/

 -- Nicolas Huillard <nicolas@huillard.net>  Thu, 02 Aug 2018 18:47:07 +0200

doloforge (0.26.20) stable; urgency=low

  * package: packaging for stretch, maintenance tuning

 -- Nicolas Huillard <nicolas@huillard.net>  Thu, 02 Aug 2018 09:21:22 +0200

doloforge (0.26.19) stable; urgency=low

  * package: packaging for stretch, maintenance tuning

 -- Nicolas Huillard <nicolas@huillard.net>  Thu, 02 Aug 2018 08:43:31 +0200

doloforge (0.26.18) stable; urgency=low

  * package: packaging for stretch, postgres tuning

 -- Nicolas Huillard <nicolas@huillard.net>  Wed, 01 Aug 2018 23:32:45 +0200

doloforge (0.26.17) stable; urgency=low

  * package: packaging for stretch, skel tuning

 -- Nicolas Huillard <nicolas@huillard.net>  Wed, 01 Aug 2018 13:30:01 +0200

doloforge (0.26.16) stable; urgency=low

  * package: packaging for stretch, multi-stage publishing

 -- Nicolas Huillard <nicolas@huillard.net>  Tue, 31 Jul 2018 22:28:05 +0200

doloforge (0.26.15) stable; urgency=low

  * package: packaging for stretch, multi-stage on a single host

 -- Nicolas Huillard <nicolas@huillard.net>  Mon, 30 Jul 2018 19:31:39 +0200

doloforge (0.26.14) stable; urgency=low

  * package: packaging for stretch, dependency fix

 -- Nicolas Huillard <nicolas@huillard.net>  Sat, 21 Jul 2018 17:05:02 +0200

doloforge (0.26.13) stable; urgency=low

  * package: packaging for stretch, dependency fix

 -- Nicolas Huillard <nicolas@huillard.net>  Sat, 14 Jul 2018 16:53:07 +0200

doloforge (0.26.12) stable; urgency=low

  * package: packaging for stretch, fixes

 -- Nicolas Huillard <nicolas@huillard.net>  Fri, 13 Jul 2018 19:39:25 +0200

doloforge (0.26.11) stable; urgency=low

  * package: packaging for stretch, fixes

 -- Nicolas Huillard <nicolas@huillard.net>  Fri, 13 Jul 2018 12:19:43 +0200

doloforge (0.26.10) unstable; urgency=low

  * package: packaging for stretch, templates fixes

 -- Nicolas Huillard <nicolas@huillard.net>  Thu, 12 Jul 2018 18:59:04 +0200

doloforge (0.26.9) unstable; urgency=low

  * package: packaging for stretch, templates fixes

 -- Nicolas Huillard <nicolas@huillard.net>  Thu, 12 Jul 2018 16:28:43 +0200

doloforge (0.26.8) unstable; urgency=low

  * package: packaging for stretch, vlogger

 -- Nicolas Huillard <nicolas@huillard.net>  Wed, 11 Jul 2018 21:59:38 +0200

doloforge (0.26.7) unstable; urgency=low

  * package: packaging for stretch, more fixes

 -- Nicolas Huillard <nicolas@huillard.net>  Tue, 10 Jul 2018 19:21:20 +0200

doloforge (0.26.6) unstable; urgency=low

  * package: packaging for stretch, more fixes

 -- Nicolas Huillard <nicolas@huillard.net>  Fri, 06 Jul 2018 15:53:16 +0200

doloforge (0.26.5) unstable; urgency=low

  * package: packaging for stretch, more fixes

 -- Nicolas Huillard <nicolas@huillard.net>  Thu, 05 Jul 2018 11:44:01 +0200

doloforge (0.26.4) unstable; urgency=low

  * package: packaging for stretch, dependecies

 -- Nicolas Huillard <nicolas@huillard.net>  Wed, 04 Jul 2018 16:10:53 +0200

doloforge (0.26.3) unstable; urgency=low

  * package: packaging for stretch, more fixes

 -- Nicolas Huillard <nicolas@huillard.net>  Tue, 03 Jul 2018 20:28:36 +0200

doloforge (0.26.2) unstable; urgency=low

  * package: packaging for stretch, more fixes

 -- Nicolas Huillard <nicolas@huillard.net>  Mon, 02 Jul 2018 18:14:30 +0200

doloforge (0.26.1) unstable; urgency=low

  * package: packaging for stretch, first fixes

 -- Nicolas Huillard <nicolas@huillard.net>  Fri, 29 Jun 2018 19:11:23 +0200

doloforge (0.26.0) unstable; urgency=low

  * package: packaging for stretch

 -- Nicolas Huillard <nicolas@huillard.net>  Thu, 28 Jun 2018 15:52:09 +0200

doloforge (0.25.25) unstable; urgency=low

  * various cron: improved logging, to include elapsed= info

 -- Nicolas Huillard <nicolas@huillard.net>  Wed, 03 Dec 2014 12:05:23 +0100

doloforge (0.25.24) unstable; urgency=low

  * apache: data cache may also be stored on the NFS server

 -- Nicolas Huillard <nicolas@huillard.net>  Mon, 17 Nov 2014 12:13:14 +0100

doloforge (0.25.23) unstable; urgency=low

  * report: compress analog and performance reports output files
  * various: fix autoflush symbol error

 -- Nicolas Huillard <nicolas@huillard.net>  Wed, 20 Aug 2014 12:14:58 +0200

doloforge (0.25.22) unstable; urgency=low

  * report: compress analog and performance reports output files

 -- Nicolas Huillard <nicolas@huillard.net>  Wed, 20 Aug 2014 09:56:40 +0200

doloforge (0.25.21) unstable; urgency=low

  * bulkmail: allow to send/forward to 'anylist' configured list instead of
    only known "lists:"
  * publish: quick-fix an introduced bug

 -- Nicolas Huillard <nicolas@huillard.net>  Fri, 15 Aug 2014 20:33:12 +0200

doloforge (0.25.20) unstable; urgency=low

  * bulkmail: allow to send/forward to 'anylist' configured list instead of
    only known "lists:"

 -- Nicolas Huillard <nicolas@huillard.net>  Fri, 15 Aug 2014 19:15:30 +0200

doloforge (0.25.19) unstable; urgency=low

  * mason: make session/cache lifetime configuration

 -- Nicolas Huillard <nicolas@huillard.net>  Wed, 09 Jul 2014 14:50:09 +0200

doloforge (0.25.18) unstable; urgency=low

  * mason: make session/cache lifetime configuration

 -- Nicolas Huillard <nicolas@huillard.net>  Wed, 09 Jul 2014 12:30:06 +0200

doloforge (0.25.17) unstable; urgency=low

  * report: changed some logging details

 -- Nicolas Huillard <nicolas@huillard.net>  Wed, 02 Jul 2014 13:23:01 +0200

doloforge (0.25.16) unstable; urgency=low

  * bulkmail: changed some logging levels

 -- Nicolas Huillard <nicolas@huillard.net>  Mon, 16 Jun 2014 16:46:05 +0200

doloforge (0.25.15) unstable; urgency=low

  * bulkmail: add more info about emails classifications upon reporting

 -- Nicolas Huillard <nicolas@huillard.net>  Wed, 02 Apr 2014 12:18:27 +0200

doloforge (0.25.14) unstable; urgency=low

  * ruby: beginning of a Ruby on Rails back-end on Apache2/mod_passenger

 -- Nicolas Huillard <nicolas@huillard.net>  Wed, 12 Mar 2014 19:39:06 +0100

doloforge (0.25.13) unstable; urgency=low

  * mason: wrong port in rewrite to back-end

 -- Nicolas Huillard <nicolas@huillard.net>  Fri, 21 Feb 2014 16:36:44 +0100

doloforge (0.25.11) unstable; urgency=low

  * apache and inherited: do not mangle vlogger logs when mixing back-end
    interpreters between various instances of Apache in chroots

 -- Nicolas Huillard <nicolas@huillard.net>  Sun, 16 Feb 2014 09:31:18 +0100

doloforge (0.25.10) unstable; urgency=low

  * apache and inherited: do not mangle vlogger logs when mixing back-end
    interpreters between various instances of Apache in chroots

 -- Nicolas Huillard <nicolas@huillard.net>  Sat, 15 Feb 2014 13:45:20 +0100

doloforge (0.25.9) unstable; urgency=low

  * apache and inherited: do not mangle vlogger logs when mixing back-end
    interpreters between various instances of Apache in chroots

 -- Nicolas Huillard <nicolas@huillard.net>  Sat, 15 Feb 2014 10:31:37 +0100

doloforge (0.25.8) unstable; urgency=low

  * apache and inherited: do not mangle vlogger logs when mixing back-end
    interpreters between various instances of Apache in chroots

 -- Nicolas Huillard <nicolas@huillard.net>  Fri, 14 Feb 2014 15:34:21 +0100

doloforge (0.25.7) unstable; urgency=low

  * cron: few logging fixes

 -- Nicolas Huillard <nicolas@huillard.net>  Thu, 13 Feb 2014 23:08:18 +0100

doloforge (0.25.6) unstable; urgency=low

  * postgres: new schroot versions with templates, backups, etc.

 -- Nicolas Huillard <nicolas@huillard.net>  Sun, 21 Jul 2013 17:18:13 +0200

doloforge (0.25.5) unstable; urgency=low

  * postgres: new schroot versions with templates, backups, etc.

 -- Nicolas Huillard <nicolas@huillard.net>  Thu, 18 Jul 2013 17:51:00 +0200

doloforge (0.25.4) unstable; urgency=low

  * postgres: new schroot versions with templates etc.

 -- Nicolas Huillard <nicolas@huillard.net>  Wed, 17 Jul 2013 20:02:54 +0200

doloforge (0.25.3) unstable; urgency=low

  * postgres: new schroot versions with templates etc.

 -- Nicolas Huillard <nicolas@huillard.net>  Wed, 17 Jul 2013 16:17:41 +0200

doloforge (0.25.2) unstable; urgency=low

  * postgres: new schroot versions with templates etc.

 -- Nicolas Huillard <nicolas@huillard.net>  Wed, 17 Jul 2013 16:04:04 +0200

doloforge (0.25.1) unstable; urgency=low

  * postgres: new schroot versions with templates etc.

 -- Nicolas Huillard <nicolas@huillard.net>  Wed, 17 Jul 2013 13:00:45 +0200

doloforge (0.24.13) unstable; urgency=low

  * postgres, mysql: don't remove restore logs...

 -- Nicolas Huillard <nicolas@huillard.net>  Fri, 18 Jan 2013 10:04:41 +0100

doloforge (0.24.12) unstable; urgency=low

  * postgres, mysql: don't remove restore logs...

 -- Nicolas Huillard <nicolas@huillard.net>  Thu, 17 Jan 2013 19:02:29 +0100

doloforge (0.24.11) unstable; urgency=low

  * postgres, mysql: don't remove restore logs...

 -- Nicolas Huillard <nicolas@huillard.net>  Tue, 08 Jan 2013 11:13:48 +0100

doloforge (0.24.10) unstable; urgency=low

  * postgres, mysql: restore the latest dump, potentially older than the day
  * postgres: kill the active connections which are confused after a restore

 -- Nicolas Huillard <nicolas@huillard.net>  Sun, 06 Jan 2013 22:52:40 +0100

doloforge (0.24.9) unstable; urgency=low

  * postgres, mysql: restore the latest dump, potentially older than the day
  * postgres: kill the active connections which are confused after a restore

 -- Nicolas Huillard <nicolas@huillard.net>  Sun, 06 Jan 2013 19:53:54 +0100

doloforge (0.24.8) unstable; urgency=low

  * cron: added a check for non-existing client ID, due to replicating the
    configuration while not updating all hosts before the next daily cron
    run. The effect was to abruptly finish the cron run, leaving the lock in
    place.

 -- Nicolas Huillard <nicolas@huillard.net>  Wed, 19 Dec 2012 11:15:01 +0100

doloforge (0.24.7) unstable; urgency=low

  * postgres, mysql: improve backup keeping by using dated filenames. This
    may have an impact on restores using 'db_restore_from'

 -- Nicolas Huillard <nicolas@huillard.net>  Mon, 17 Dec 2012 10:36:50 +0100

doloforge (0.24.6) unstable; urgency=low

  * postgres, mysql: improve backup keeping by using dated filenames. This
    may have an impact on restores using 'db_restore_from'

 -- Nicolas Huillard <nicolas@huillard.net>  Sun, 16 Dec 2012 11:25:59 +0100

doloforge (0.24.5) unstable; urgency=low

  * postgres, mysql: improve backup keeping by using dated filenames. This
    may have an impact on restores using 'db_restore_from'

 -- Nicolas Huillard <nicolas@huillard.net>  Sat, 15 Dec 2012 11:08:59 +0100

doloforge (0.24.4) unstable; urgency=low

  * postgres, mysql: improve backup keeping by using dated filenames. This
    may have an impact on restores using 'db_restore_from'

 -- Nicolas Huillard <nicolas@huillard.net>  Fri, 14 Dec 2012 11:35:30 +0100

doloforge (0.24.3) unstable; urgency=low

  * postgres, mysql: improve backup keeping by using dated filenames. This
    may have an impact on restores using 'db_restore_from'

 -- Nicolas Huillard <nicolas@huillard.net>  Wed, 12 Dec 2012 12:19:18 +0100

doloforge (0.24.2) unstable; urgency=low

  * apache: changed the website rewrite, now using ProxyRemote instead of
    named host in RewriteRule (this leaves the requested domain name as-is)
  * cron: increased the recommended warning delay (hourly)
  * mason: changed and added escapes (|u, |q)

 -- Nicolas Huillard <nicolas@huillard.net>  Mon, 09 Jan 2012 17:38:41 +0100

doloforge (0.24.1) unstable; urgency=low

  * bulkmail: changed the behaviour of --keep-bounce/--remove-bounce in
    order to have a good default processing (missing bounce processing or
    missing manual option)

 -- Nicolas Huillard <nicolas@huillard.net>  Thu, 07 Apr 2011 15:46:33 +0200

doloforge (0.24.0) unstable; urgency=low

  * report: added a --dry-run option
  * everything else is ready for a stable release

 -- Nicolas Huillard <nicolas@huillard.net>  Sun, 17 Oct 2010 11:32:43 +0200

doloforge (0.23.34) unstable; urgency=low

  * report: bugfix in performance analyser (access.log regexp)

 -- Nicolas Huillard <nicolas@huillard.net>  Thu, 30 Sep 2010 14:57:34 +0200

doloforge (0.23.33) unstable; urgency=low

  * bulkmail: improved bounce classifying

 -- Nicolas Huillard <nicolas@huillard.net>  Mon, 27 Sep 2010 19:06:52 +0200

doloforge (0.23.32) unstable; urgency=low

  * bulkmail: improved bounce classifying

 -- Nicolas Huillard <nicolas@huillard.net>  Mon, 27 Sep 2010 18:04:26 +0200

doloforge (0.23.31) unstable; urgency=low

  * bulkmail: improved bounce classifying

 -- Nicolas Huillard <nicolas@huillard.net>  Mon, 27 Sep 2010 15:51:17 +0200

doloforge (0.23.30) unstable; urgency=low

  * bulkmail: implemented soft/hard bounce filtering and reporting
    (--get-bounce/--get-deliverable)

 -- Nicolas Huillard <nicolas@huillard.net>  Sun, 26 Sep 2010 17:10:51 +0200

doloforge (0.23.29) unstable; urgency=low

  * bulkmail: added more logging

 -- Nicolas Huillard <nicolas@huillard.net>  Fri, 24 Sep 2010 23:13:37 +0200

doloforge (0.23.28) unstable; urgency=low

  * bulkmail: added more logging, run --forward under the client ID

 -- Nicolas Huillard <nicolas@huillard.net>  Fri, 24 Sep 2010 19:38:38 +0200

doloforge (0.23.27) unstable; urgency=low

  * report: bugfix in performance analyser

 -- Nicolas Huillard <nicolas@huillard.net>  Thu, 23 Sep 2010 11:56:25 +0200

doloforge (0.23.26) unstable; urgency=low

  * report: bugfix in performance analyser

 -- Nicolas Huillard <nicolas@huillard.net>  Wed, 22 Sep 2010 10:40:42 +0200

doloforge (0.23.25) unstable; urgency=low

  * report: detailed report for performance analyser

 -- Nicolas Huillard <nicolas@huillard.net>  Tue, 21 Sep 2010 11:44:10 +0200

doloforge (0.23.24) unstable; urgency=low

  * report: performance analyser

 -- Nicolas Huillard <nicolas@huillard.net>  Mon, 20 Sep 2010 13:22:20 +0200

doloforge (0.23.23) unstable; urgency=low

  * report: performance analyser

 -- Nicolas Huillard <nicolas@huillard.net>  Mon, 20 Sep 2010 09:48:54 +0200

doloforge (0.23.22) unstable; urgency=low

  * report: performance analyser

 -- Nicolas Huillard <nicolas@huillard.net>  Sun, 19 Sep 2010 23:06:28 +0200

doloforge (0.23.21) unstable; urgency=low

  * php5, mason: small template changes

 -- Nicolas Huillard <nicolas@huillard.net>  Fri, 16 Jul 2010 17:29:16 +0200

doloforge (0.23.20) unstable; urgency=low

  * php5, mason: added a services:mason:rewrites: YAML key, then extracted
    the e-dition rewrites to take advantage of it (new template files)

 -- Nicolas Huillard <nicolas@huillard.net>  Thu, 15 Jul 2010 18:46:49 +0200

doloforge (0.23.19) unstable; urgency=low

  * apache, php5, mason: hability to choose a specific port number for each
    project (used to select a root-jailed PHP back-end for a specific version;
    the root-jail config itself is out of the doloforge realm, but uses a
    well-known config dir for it's Apache back-end)
  * report: added the VHOST report in the default Analog config

 -- Nicolas Huillard <nicolas@huillard.net>  Thu, 15 Jul 2010 16:52:16 +0200

doloforge (0.23.18) unstable; urgency=low

  * php5: added a PHP_DOCTRINE_DSN database connection definition in
    project_env.*

 -- Nicolas Huillard <nicolas@huillard.net>  Thu, 20 May 2010 12:41:19 +0200

doloforge (0.23.17) unstable; urgency=low

  * bulkmail: more intelligent parsing, "hard" and "soft" bounce CSVs,
    classification regexps in the config file
  * bulkmail: uses csync2 to replicate through the platform

 -- Nicolas Huillard <nicolas@huillard.net>  Thu, 13 May 2010 19:49:17 +0200

doloforge (0.23.16) unstable; urgency=low

  * bulkmail: more intelligent parsing, "hard" and "soft" bounce CSVs,
    classification regexps in the config file

 -- Nicolas Huillard <nicolas@huillard.net>  Thu, 13 May 2010 18:11:56 +0200

doloforge (0.23.15) unstable; urgency=low

  * bulkmail: more intelligent parsing, "hard" and "soft" bounce CSVs,
    classification regexps in the config file

 -- Nicolas Huillard <nicolas@huillard.net>  Thu, 13 May 2010 12:51:57 +0200

doloforge (0.23.14) unstable; urgency=low

  * bulkmail: less memory intensive report

 -- Nicolas Huillard <nicolas@huillard.net>  Thu, 13 May 2010 08:54:53 +0200

doloforge (0.23.13) unstable; urgency=low

  * bulkmail: less memory intensive report

 -- Nicolas Huillard <nicolas@huillard.net>  Wed, 12 May 2010 19:49:57 +0200

doloforge (0.23.12) unstable; urgency=low

  * bulkmail: less memory intensive report

 -- Nicolas Huillard <nicolas@huillard.net>  Wed, 12 May 2010 17:32:46 +0200

doloforge (0.23.11) unstable; urgency=low

  * bulkmail: less memory intensive report

 -- Nicolas Huillard <nicolas@huillard.net>  Wed, 12 May 2010 17:04:09 +0200

doloforge (0.23.10) unstable; urgency=low

  * bulkmail: second shot at a fine bounce report

 -- Nicolas Huillard <nicolas@huillard.net>  Mon, 10 May 2010 19:18:19 +0200

doloforge (0.23.9) unstable; urgency=low

  * postgres, mysql: don't dump the same DB more than once
  * postgres, mysql: dump additionnal databases for some projects
  * bulkmail: first shot at a fine bounce report

 -- Nicolas Huillard <nicolas@huillard.net>  Sat, 08 May 2010 12:39:42 +0200

doloforge (0.23.8) unstable; urgency=low

  * bulkmail: central email server processing step improvements

 -- Nicolas Huillard <nicolas@huillard.net>  Tue, 04 May 2010 12:21:29 +0200

doloforge (0.23.7) unstable; urgency=low

  * bulkmail: central email server processing skeleton (cron maintenance)

 -- Nicolas Huillard <nicolas@huillard.net>  Mon, 03 May 2010 19:12:26 +0200

doloforge (0.23.6) unstable; urgency=low

  * bulkmail: central email server processing skeleton (cron maintenance)

 -- Nicolas Huillard <nicolas@huillard.net>  Mon, 03 May 2010 12:10:38 +0200

doloforge (0.23.5) unstable; urgency=low

  * bulkmail: logging invalide email addresses to syslog "mail.notice",
    which is forwarded to the central server for analysis (see
    /etc/doloforge/bulkmail.yaml for details)

 -- Nicolas Huillard <nicolas@huillard.net>  Mon, 03 May 2010 10:50:36 +0200

doloforge (0.23.4) unstable; urgency=low

  * mason: added an SEO-friendly rewrite; commented them all

 -- Nicolas Huillard <nicolas@huillard.net>  Wed, 28 Apr 2010 19:18:55 +0200

doloforge (0.23.3) unstable; urgency=low

  * bulkmail: fixed email forwarding, improved logging

 -- Nicolas Huillard <nicolas@huillard.net>  Tue, 27 Apr 2010 18:09:47 +0200

doloforge (0.23.2) unstable; urgency=low

  * bulkmail: fixed email forwarding, improved logging

 -- Nicolas Huillard <nicolas@huillard.net>  Tue, 27 Apr 2010 17:48:38 +0200

doloforge (0.23.1) unstable; urgency=low

  * base: tweaked the verbosity level for display
  * base: added the needed config option in all templates

 -- Nicolas Huillard <nicolas@huillard.net>  Mon, 26 Apr 2010 18:41:52 +0200

doloforge (0.23.0) unstable; urgency=low

  * bulkmail: added a merge facility, used to personalize emails (not really
    bulk emailing)
  * mason: added a "|u" filter (URL escape)

 -- Nicolas Huillard <nicolas@huillard.net>  Fri, 23 Apr 2010 14:38:39 +0200

doloforge (0.22.0) unstable; urgency=low

  * publish: added a config to get back data from prod to test
  * apache: the main httpd.conf template now uses pre- and post-rewrite rules

 -- Nicolas Huillard <nicolas@huillard.net>  Tue, 02 Feb 2010 18:17:21 +0100

doloforge (0.21.28) unstable; urgency=low

  * report: a bit more useful temporary report_error

 -- Nicolas Huillard <nicolas@huillard.net>  Tue, 08 Dec 2009 17:22:45 +0100

doloforge (0.21.27) unstable; urgency=low

  * report: /usr/lib/doloforge/bin was not executable

 -- Nicolas Huillard <nicolas@huillard.net>  Fri, 27 Nov 2009 12:53:26 +0100

doloforge (0.21.26) unstable; urgency=low

  * report: error log analyser stub, as an easily updatable external script,
    see ./bin or /usr/lib/doloforge/bin

 -- Nicolas Huillard <nicolas@huillard.net>  Tue, 24 Nov 2009 14:07:46 +0100

doloforge (0.21.25) unstable; urgency=low

  * apache: more quick fix + more testing

 -- Nicolas Huillard <nicolas@huillard.net>  Sun, 22 Nov 2009 11:47:31 +0100

doloforge (0.21.24) unstable; urgency=low

  * apache: quick fix + warning condition

 -- Nicolas Huillard <nicolas@huillard.net>  Sat, 21 Nov 2009 12:04:06 +0100

doloforge (0.21.23) unstable; urgency=low

  * vlogger: take physical paths and client ./lib/ trees into account
  * apache: process the ./lib/_logs/*/ files

 -- Nicolas Huillard <nicolas@huillard.net>  Fri, 20 Nov 2009 17:13:00 +0100

doloforge (0.21.22) unstable; urgency=low

  * project_env: better fail-safe value for SERVERNAME
  * php5: added SetEnv directives in httpd.conf, to define project-wide
    values to be used by PHP code

 -- Nicolas Huillard <nicolas@huillard.net>  Wed, 04 Nov 2009 17:48:04 +0100

doloforge (0.21.21) unstable; urgency=low

  * bulkmail: really fixed "MAIL FROM: <>" at the second email, by making
    the Sender: header illegal in the email text (no other way for Mail::Bulkmail)

 -- Nicolas Huillard <nicolas@huillard.net>  Fri, 30 Oct 2009 13:39:29 +0100

doloforge (0.21.20) unstable; urgency=low

  * bulkmail: added the hability to send to unconfigured list, just passing
    the recipients file to the doloforge command

 -- Nicolas Huillard <nicolas@huillard.net>  Thu, 29 Oct 2009 19:36:15 +0100

doloforge (0.21.19) unstable; urgency=low

  * bulkmail: fixed "MAIL FROM: <>" at the second email, when Sender: is not
    set in the original email

 -- Nicolas Huillard <nicolas@huillard.net>  Thu, 29 Oct 2009 13:22:23 +0100

doloforge (0.21.18) unstable; urgency=low

  * bulkmail: added debugging files
  * apache: enabled /logs/ access much like /stats/

 -- Nicolas Huillard <nicolas@huillard.net>  Thu, 29 Oct 2009 12:48:44 +0100

doloforge (0.21.17) unstable; urgency=low
 
  * debian: dependencies changes for lenny

 -- Nicolas Huillard <nicolas@huillard.net>  Sat, 03 Oct 2009 19:19:23 +0200

doloforge (0.21.16) unstable; urgency=low

  * debian: dependencies changes for lenny

 -- Nicolas Huillard <nicolas@huillard.net>  Sat, 03 Oct 2009 19:01:55 +0200

doloforge (0.21.15) unstable; urgency=low

  * debian: dependencies changes for lenny

 -- Nicolas Huillard <nicolas@huillard.net>  Sat, 03 Oct 2009 18:11:21 +0200

doloforge (0.21.14) unstable; urgency=low

  * vlogger: fixes for error.log handling (sigtrap, _default_)

 -- Nicolas Huillard <nicolas@huillard.net>  Mon, 14 Sep 2009 17:41:43 +0200

doloforge (0.21.13) unstable; urgency=low

  * cron: parameterized the "run time excessive: please investigate" warning

 -- Nicolas Huillard <nicolas@huillard.net>  Sun, 13 Sep 2009 18:57:29 +0200

doloforge (0.21.12) unstable; urgency=low

  * apache: changed the ServerName value, which should be used only by
    vlogger,in order to have a stage-independant and more stable value. That's
    an intrusive change that should have no impact.

 -- Nicolas Huillard <nicolas@huillard.net>  Thu, 10 Sep 2009 11:45:35 +0200

doloforge (0.21.11) unstable; urgency=low

  * vlogger: fixes for error.log handling

 -- Nicolas Huillard <nicolas@huillard.net>  Wed, 09 Sep 2009 17:32:49 +0200

doloforge (0.21.10) unstable; urgency=low

  * vlogger: fixes for error.log handling

 -- Nicolas Huillard <nicolas@huillard.net>  Wed, 09 Sep 2009 12:51:06 +0200

doloforge (0.21.9) unstable; urgency=low

  * vlogger: using it to split error.log into projects too (apache, php5,
    mason, https)

 -- Nicolas Huillard <nicolas@huillard.net>  Wed, 09 Sep 2009 00:46:37 +0200

doloforge (0.21.8) unstable; urgency=low

  * vlogger: using it to split error.log into projects too (apache, php5,
    mason, https)

 -- Nicolas Huillard <nicolas@huillard.net>  Tue, 08 Sep 2009 23:35:33 +0200

doloforge (0.21.7) unstable; urgency=low

  * cron: removed debug messages...

 -- Nicolas Huillard <nicolas@huillard.net>  Mon, 07 Sep 2009 09:13:21 +0200

doloforge (0.21.6) unstable; urgency=low

  * cron: added debug messages...

 -- Nicolas Huillard <nicolas@huillard.net>  Sun, 06 Sep 2009 11:54:43 +0200

doloforge (0.21.5) unstable; urgency=low

  * cron: quick fixes for the nolock run

 -- Nicolas Huillard <nicolas@huillard.net>  Sat, 05 Sep 2009 14:31:33 +0200

doloforge (0.21.4) unstable; urgency=low

  * cron: added a warning in case an older lock seems to be left locked

 -- Nicolas Huillard <nicolas@huillard.net>  Fri, 04 Sep 2009 17:56:20 +0200

doloforge (0.21.3) unstable; urgency=low

  * apache: added a robots.txt template to avoid many 404s
  * cron: added the hability to run jobs on every application server,
    regardless of the lock (which prevent to run the same jobs at the same
    time on many hosts). These cron/[interval]/nolock/* jobs are run before
    the locked jobs.

 -- Nicolas Huillard <nicolas@huillard.net>  Fri, 04 Sep 2009 14:16:25 +0200

doloforge (0.21.2) unstable; urgency=low

  * apache: *.log rotation/merge fixes and testing on multi-server stages
  * apache: fixed multi-stage usage for allow_from

 -- Nicolas Huillard <nicolas@huillard.net>  Thu, 03 Sep 2009 14:05:08 +0200

doloforge (0.21.1) unstable; urgency=low

  * apache: *.log rotation/merge fixes and testing on multi-server stages

 -- Nicolas Huillard <nicolas@huillard.net>  Thu, 03 Sep 2009 11:41:17 +0200

doloforge (0.21.0) unstable; urgency=low

  * apache: _default_/access.log rotation/merge
  * apache: error.log rotation/merge (splitting into projects still needed)

 -- Nicolas Huillard <nicolas@huillard.net>  Wed, 02 Sep 2009 20:02:46 +0200

doloforge (0.20.0) unstable; urgency=low

  * all: no changes since last development release...

 -- Nicolas Huillard <nicolas@huillard.net>  Wed, 24 Jun 2009 18:47:44 +0200

doloforge (0.19.4) unstable; urgency=low

  * mason: Error::Simple and other exceptions are logged with a stacktrace
  * doloforge: added a "vm" configuration file, similar to "standalone" and
    "devl", and meant to be used in a development VirtualBox installation.
  * postgres, mysql: improved the backup verbosity and restore readme.txt

 -- Nicolas Huillard <nicolas@huillard.net>  Wed, 24 Jun 2009 18:47:44 +0200

doloforge (0.19.3) unstable; urgency=low

  * cron: added an "elapsed=" field to syslog lines, to easily retrieve it
  * quick-fix release

 -- Nicolas Huillard <nicolas@huillard.net>  Sat, 06 Jun 2009 10:57:57 +0200

doloforge (0.19.2) unstable; urgency=low

  * all DB: only create the readme.txt file when dumping
  * quick-fix release

 -- Nicolas Huillard <nicolas@huillard.net>  Thu, 07 May 2009 14:53:32 +0200

doloforge (0.19.1) unstable; urgency=low

  * mason, php5, https: removed -a option to vlogger, in order to have
    "real-time" log lines to grep, tail, etc...
  * website: added a reverse-proxy-to-website template, for simple proxying
    tasks (declare it as a back-end, and add the "services:apache:website"
    YAML config entry
  * all: converted all source files to UTF8
  * ftp: added a proftpd.conf include configuration file
  * all DB: dump task now writes a readme.txt file, to help restore the DB
  * quick-fix release

 -- Nicolas Huillard <nicolas@huillard.net>  Mon, 04 May 2009 19:53:59 +0200

doloforge (0.19.0) unstable; urgency=low

  * mason, php5, https: removed -a option to vlogger, in order to have
    "real-time" log lines to grep, tail, etc...
  * website: added a reverse-proxy-to-website template, for simple proxying
    tasks (declare is as a back-end, and add the "services:apache:website"
    YAML config entry
  * all: converted all source files to UTF8
  * ftp: added a proftpd.conf include configuration file
  * all DB: dump task now writes a readme.txt file, to help restore the DB
  * quick-fix release

 -- Nicolas Huillard <nicolas@huillard.net>  Mon, 04 May 2009 18:41:44 +0200

doloforge (0.18.1) unstable; urgency=low

  * config: added a --force option, to force all files to update
  * mirror: fixed services config for mirror stage
  * config: fixed a few more warnings

 -- Nicolas Huillard <nicolas@huillard.net>  Wed, 15 Apr 2009 10:39:19 +0200

doloforge (0.18.0) unstable; urgency=low

  * publish: small fix in rsync_reverse_filter.conf
  * doloforge: stable version with DB backup and restore, reverse rsync,
    mirror stage, expired cache and session removal

 -- Nicolas Huillard <nicolas@huillard.net>  Thu, 09 Apr 2009 09:30:41 +0200

doloforge (0.17.19) unstable; urgency=low

  * mason: small cache-emptying fix
  * publish: simplified default filter rules, improved reverse filter rules
  * mysql: renamed the patch/ dir to patches/, like other DB services
  * all DB: renamed the dump/ dir to _dump/, to match simpler filter rules
  * doloforge: this means this release must be installed on all stages at
    once, or publish vs. dir renames will not work cleanly...
  * development release

 -- Nicolas Huillard <nicolas@huillard.net>  Tue, 07 Apr 2009 11:03:30 +0200

doloforge (0.17.18) unstable; urgency=low

  * all: few fixes, logging details
  * development release, previous package broken

 -- Nicolas Huillard <nicolas@huillard.net>  Mon, 06 Apr 2009 10:18:28 +0200

doloforge (0.17.17) unstable; urgency=low

  * all: few fixes, logging details
  * development release

 -- Nicolas Huillard <nicolas@huillard.net>  Mon, 06 Apr 2009 10:08:52 +0200

doloforge (0.17.16) unstable; urgency=low

  * postgres: working (!) less verbose restore on the mirror stage
  * development release, previous package broken

 -- Nicolas Huillard <nicolas@huillard.net>  Fri, 03 Apr 2009 15:42:53 +0200

doloforge (0.17.15) unstable; urgency=low

  * postgres: working (!) less verbose restore on the mirror stage
  * development release

 -- Nicolas Huillard <nicolas@huillard.net>  Fri, 03 Apr 2009 15:19:39 +0200

doloforge (0.17.14) unstable; urgency=low

  * postgres: less verbose restore on the mirror stage
  * development release

 -- Nicolas Huillard <nicolas@huillard.net>  Wed, 01 Apr 2009 15:18:52 +0200

doloforge (0.17.13) unstable; urgency=low

  * mason: do not warn while removing non-empty cache directories
  * postgres: ability to automatically restore a previous dump instead of
    dumping a new one, for use on a "mirror" stage
  * development release

 -- Nicolas Huillard <nicolas@huillard.net>  Mon, 30 Mar 2009 22:23:22 +0200

doloforge (0.17.12) unstable; urgency=low

  * mysql: dump the project DB, next try
  * development release

 -- Nicolas Huillard <nicolas@huillard.net>  Sun, 22 Mar 2009 20:39:11 +0100

doloforge (0.17.11) unstable; urgency=low

  * mason: removed debug info
  * postgres8: fixed documentation about admin permissions
  * mysql: dump the project DB, first try
  * example: removed outdated edition project
  * development release

 -- Nicolas Huillard <nicolas@huillard.net>  Sat, 21 Mar 2009 11:19:01 +0100

doloforge (0.17.10) unstable; urgency=low

  * mason: less verbose, more effective expired files removal
  * publish: reverse config fixes
  * development release

 -- Nicolas Huillard <nicolas@huillard.net>  Fri, 20 Mar 2009 18:13:27 +0100

doloforge (0.17.9) unstable; urgency=low

  * postgres: few fixes
  * cron: few fixes
  * publish: reverse config fixes
  * development release

 -- Nicolas Huillard <nicolas@huillard.net>  Thu, 19 Mar 2009 23:04:09 +0100

doloforge (0.17.8) unstable; urgency=low

  * postgres: few fixes
  * cron: few fixes
  * mason: few fixes
  * development release

 -- Nicolas Huillard <nicolas@huillard.net>  Wed, 18 Mar 2009 13:37:44 +0100

doloforge (0.17.7) unstable; urgency=low

  * cron: changed message format that was picked by logcheck
  * development release

 -- Nicolas Huillard <nicolas@huillard.net>  Tue, 17 Mar 2009 17:09:00 +0100

doloforge (0.17.6) unstable; urgency=low

  * postgres: run the dump as the doloforge administrator ID
  * development release

 -- Nicolas Huillard <nicolas@huillard.net>  Tue, 17 Mar 2009 14:40:39 +0100

doloforge (0.17.5) unstable; urgency=low

  * postgres: properly set the automatic dump method for DB backup
  * development release

 -- Nicolas Huillard <nicolas@huillard.net>  Mon, 16 Mar 2009 19:28:36 +0100

doloforge (0.17.4) unstable; urgency=low

  * publish: added a --quiet mode, for use in cron jobs that should output
    nothing when everything is OK (the publish report is still generated)
  * apache, mason: development mode is defined in the global or project
    configuration, and triggers verbose error messages, ErrorDocuments, cache
    usage, etc. See /etc/doloforge/doloforge.standalone.yaml
  * cron: prepare the service cron run infrastucture (DB backup)
  * development release

 -- Nicolas Huillard <nicolas@huillard.net>  Sun, 15 Mar 2009 18:12:42 +0100

doloforge (0.17.3) unstable; urgency=low

  * publish: added a --quiet mode, for use in cron jobs that should output
    nothing when everything is OK (the publish report is still generated)
  * apache, mason: development mode is defined in the global or project
    configuration, and triggers verbose error messages, ErrorDocuments, cache
    usage, etc. See /etc/doloforge/doloforge.standalone.yaml
  * cron: prepare the service cron run infrastucture (DB backup)
  * development release

 -- Nicolas Huillard <nicolas@huillard.net>  Sun, 15 Mar 2009 11:16:08 +0100

doloforge (0.17.2) unstable; urgency=low

  * cron: remove expired session and cache files during maintenance tasks
  * development release

 -- Nicolas Huillard <nicolas@huillard.net>  Sat, 14 Mar 2009 16:48:02 +0100

doloforge (0.17.1) unstable; urgency=low

  * base: various warning fixes
  * ftp: skeleton creation
  * mysql, postgres7, postgres8: basic DB backup for every known project
  * development release

 -- Nicolas Huillard <nicolas@huillard.net>  Fri, 13 Mar 2009 19:56:31 +0100

doloforge (0.17.0) unstable; urgency=low

  * publish: added the reverse rsync method for pulling projects to a mirror
    stage, from a production stage
  * development release

 -- Nicolas Huillard <nicolas@huillard.net>  Sun, 08 Mar 2009 16:34:31 +0100

doloforge (0.16.3) unstable; urgency=low

  * package: more little dependencies
  * https: do not use port number in the reverse proxy setting, if it's the
    default one (80)
  * report: don't complain if a project' conf exist, but was not --update'd
    yet

 -- Nicolas Huillard <nicolas@huillard.net>  Thu, 22 Jan 2009 19:22:28 +0100

doloforge (0.16.2) unstable; urgency=low

  * package: added a dependency to htmldoc, libxml-xpath-perl, php5-ldap

 -- Nicolas Huillard <nicolas@huillard.net>  Mon, 08 Dec 2008 11:41:26 +0100

doloforge (0.16.1) unstable; urgency=low

  * package: changed memcached from recommends to depends
  * package: I will now try to follow the even/odd version number convention
    with even numbers meaning "quite stable", and odd numbers meaning "feature
    development in progress"
  * package: doloforge is always used in the real native production
    environment, hence a broken version usually won't last more than a day...
  * package: this 0.16.0 is thus an explicit declaration that the previous
    version 0.15.27 was indeed stable...

 -- Nicolas Huillard <nicolas@huillard.net>  Tue, 28 Oct 2008 12:22:04 +0100

doloforge (0.16.0) unstable; urgency=low

  * package: changed memcached from recommends to depends
  * package: I will now try to follow the even/odd version number convention
    with even numbers meaning "quite stable", and odd numbers meaning "feature
    development in progress"
  * package: doloforge is always used in the real native production
    environment, hence a broken version usually won't last more than a day...
  * package: this 0.16.0 is thus an explicit declaration that the previous
    version 0.15.27 was indeed stable...

 -- Nicolas Huillard <nicolas@huillard.net>  Tue, 28 Oct 2008 12:10:08 +0100

doloforge (0.15.27) unstable; urgency=low

  * mergelog: do not keep useless uncompressed log files, as compressed ones
    take only 5% of the raw files...
  * report: fixed warnings

 -- Nicolas Huillard <nicolas@huillard.net>  Thu, 02 Oct 2008 09:30:23 +0200

doloforge (0.15.26) unstable; urgency=low

  * report: XHTML Analog output by default
  * report: hability to suppress filesystem archival for analysers which do
    not store results in the filesystem (basedir: "")

 -- Nicolas Huillard <nicolas@huillard.net>  Mon, 29 Sep 2008 19:41:52 +0200

doloforge (0.15.25) unstable; urgency=low

  * report: support for external analysers, stored in cron/analyser/, run
    like cron jobs (with additionnal command-line and ENV arguments)
  * cron: removed useless service hashes (hopefully; get back to me in case
    of problem with cron jobs)

 -- Nicolas Huillard <nicolas@huillard.net>  Sun, 28 Sep 2008 19:42:24 +0200

doloforge (0.15.24) unstable; urgency=low

  * report: quick fixes after the first cluster runs
  * publish: changed the /publish/hist report history dir to
    /publish/history, in order to match the log analysis report
  * publish: added a symlink to the lastest publish, like "report"
  * apache: changed the order of Alias directives, which masked each other

 -- Nicolas Huillard <nicolas@huillard.net>  Sun, 28 Sep 2008 10:14:18 +0200

doloforge (0.15.23) unstable; urgency=low

  * report: now reads a per-project conf/report.yaml file, which configures
    additionnal reports to be run on the project (see example/sandbox/conf/)

 -- Nicolas Huillard <nicolas@huillard.net>  Sat, 27 Sep 2008 18:48:37 +0200

doloforge (0.15.22) unstable; urgency=low

  * cron: jobs are now niced
  * report: few fixed, plus changed reading log files to compressed format,
    six times quicker to read + decompress over NFS, than raw files...

 -- Nicolas Huillard <nicolas@huillard.net>  Sat, 27 Sep 2008 09:17:38 +0200

doloforge (0.15.21) unstable; urgency=low

  * report: added more configuration to the analog analyser
  * apache: added shared icons and CSS, used by the analog reports
  * apache: improved the template generating AuthUserFile for /stats/
  * analog: quick template fixes

 -- Nicolas Huillard <nicolas@huillard.net>  Tue, 23 Sep 2008 16:12:28 +0200

doloforge (0.15.20) unstable; urgency=low

  * report: added more configuration to the analog analyser
  * apache: added shared icons and CSS, used by the analog reports
  * apache: improved the template generating AuthUserFile for /stats/

 -- Nicolas Huillard <nicolas@huillard.net>  Tue, 23 Sep 2008 14:09:02 +0200

doloforge (0.15.19) unstable; urgency=low

  * report: added the actual analog analyser module, as a test-run

 -- Nicolas Huillard <nicolas@huillard.net>  Mon, 22 Sep 2008 20:38:32 +0200

doloforge (0.15.18) unstable; urgency=low

  * cron: fixed exact time of DB roles maintenance run
  * skel: added permissions to the client group on all [service]/_stats
    directories, used to store reports output (_reports/ would be better as a
    name, but history is sticky)
  * report: added the whole framework which will run analysers, creating
    report directories, history, symlinks, etc.

 -- Nicolas Huillard <nicolas@huillard.net>  Sun, 21 Sep 2008 21:42:52 +0200

doloforge (0.15.17) unstable; urgency=low

  * cron: changed a bit the crontab arrangement, to allow proper runs of
    report (log analysis) after the whole log management tasks
  * report: added the empty infrastructure for reports generation, as a
    stand-alone command-line (to be used as a testing rig for project-specific
    analysers), plus the link from the daily cron run
  * doloforge: packaged for a trial run on the whole cluster

 -- Nicolas Huillard <nicolas@huillard.net>  Sat, 20 Sep 2008 17:29:23 +0200

doloforge (0.15.16) unstable; urgency=low

  * cron: quick warning fix...

 -- Nicolas Huillard <nicolas@huillard.net>  Wed, 17 Sep 2008 18:40:46 +0200

doloforge (0.15.15) unstable; urgency=low

  * https: fixed a superfluous redirect when calling https:// with a +SSL
    modifier (which is now simply ignored)
  * doloforge: finally turned on -w (Perl warnings)
  * publish: added --lib option, which publishes the client/lib/ dir instead
    of a client/project/ tree
  * skeleton: added developer-writable directories at the root of the client
    and project directory trees, with configuration entries in doloforge.yaml
  * doloforge: replaced "-w" with "use warnings", and solved some warnings

 -- Nicolas Huillard <nicolas@huillard.net>  Wed, 17 Sep 2008 17:14:00 +0200

doloforge (0.15.14) unstable; urgency=low

  * jdresolve: silenced jdresolve --expiredb
  * cron: now actually remove old host log files

 -- Nicolas Huillard <nicolas@huillard.net>  Mon, 08 Sep 2008 18:14:51 +0200

doloforge (0.15.13) unstable; urgency=low

  * jdresolve: fixed cache DB expire option
  * cron: moved locks and semaphores to prevent potential race-conditions
    between services

 -- Nicolas Huillard <nicolas@huillard.net>  Fri, 05 Sep 2008 10:44:51 +0200

doloforge (0.15.12) unstable; urgency=low

  * vlogger: adjusted jdresolve options, defined in doloforge.yaml, reduced
    verbosity
  * apache, https: added cookie information in access logs

 -- Nicolas Huillard <nicolas@huillard.net>  Thu, 04 Sep 2008 18:13:57 +0200

doloforge (0.15.11) unstable; urgency=low

  * cron: fixed attempts to run directories (ie. ./cron/daily/subdir/)
  * https: change ServerName to have a correct domain name for vlogger
  * vlogger: merge logs from all application servers, resolve IPs, create
    daily gzipped logs

 -- Nicolas Huillard <nicolas@huillard.net>  Wed, 03 Sep 2008 19:23:34 +0200

doloforge (0.15.10) unstable; urgency=low

  * cron: fixed attempts to run directories (ie. ./cron/daily/subdir/)
  * https: change ServerName to have a correct domain name for vlogger
  * vlogger: merge logs from all application servers, resolve IPs, create
    daily gzipped logs

 -- Nicolas Huillard <nicolas@huillard.net>  Wed, 03 Sep 2008 19:02:30 +0200

doloforge (0.15.9) unstable; urgency=low

  * apache: change uid/gid when moving files from vlogger (root-squash
    friendly)

 -- Nicolas Huillard <nicolas@huillard.net>  Mon, 01 Sep 2008 18:41:01 +0200

doloforge (0.15.8) unstable; urgency=low

  * cron: added bits of code for vlogger log files move... still alpha, for
    real-world runs...
  * php5, mason, iis: replaced symlinks in skeletons by proper files, with
    comments about turning them into symlinks if needed (fixes bad symlink
    errors upon skeleton copy)

 -- Nicolas Huillard <nicolas@huillard.net>  Wed, 27 Aug 2008 12:01:26 +0200

doloforge (0.15.7) unstable; urgency=low

  * https: fixed +SSL bug introduced by some config change

 -- Nicolas Huillard <nicolas@huillard.net>  Fri, 22 Aug 2008 17:53:55 +0200

doloforge (0.15.6) unstable; urgency=low

  * https: fixed +SSL bug introduced by some config change

 -- Nicolas Huillard <nicolas@huillard.net>  Fri, 22 Aug 2008 17:26:39 +0200

doloforge (0.15.5) unstable; urgency=low

  * cron: now beta, packaged to test-run verbosely on the cluster...

 -- Nicolas Huillard <nicolas@huillard.net>  Thu, 21 Aug 2008 20:39:21 +0200

doloforge (0.15.4) unstable; urgency=low

  * cron: now beta, packaged to test-run verbosely on the cluster...

 -- Nicolas Huillard <nicolas@huillard.net>  Thu, 21 Aug 2008 09:31:17 +0200

doloforge (0.15.3) unstable; urgency=low

  * cron: added infrastructure needed to run maintenance jobs on every host
    and roles of the cluster. This will be used by log analysis scripts.
  * cron: currently very alpha, packaged to test-run verbosely on the
    cluster...

 -- Nicolas Huillard <nicolas@huillard.net>  Wed, 20 Aug 2008 21:22:59 +0200

doloforge (0.15.2) unstable; urgency=low

  * cron: added infrastructure needed to run maintenance jobs on every host
    and roles of the cluster. This will be used by log analysis scripts.
  * cron: currently very alpha, packaged to test-run verbosely on the
    cluster...

 -- Nicolas Huillard <nicolas@huillard.net>  Wed, 20 Aug 2008 20:20:55 +0200

doloforge (0.15.1) unstable; urgency=low

  * apache, mason, php5, https: now uses a single vlogger pipe, putting
    log files in /srv/doloforge/local/.doloforge/[service]/vlogger/[vhost]/
  * same: the previous directory is now only used by application-specific
    log files (cf. /srv/doloforge/local/[client]/[project]/[service]/logs/)
  * same: a single error.log now contains all vhost errors, which is a bit
    annoying in special cases. vlogger brings rotation and a better use of
    file descriptors, which is a good tradeoff...

 -- Nicolas Huillard <nicolas@huillard.net>  Tue, 19 Aug 2008 17:11:29 +0200

doloforge (0.14.5) unstable; urgency=low

  * apache, mason, php5: added proper configuration for ErrorDocument, by
    adding */htdocs/404.html files, used by Apache (can be symlinks)
  * mason: cache is enabled much like errors (disabled only on "devl" stage)

 -- Nicolas Huillard <nicolas@huillard.net>  Sat, 14 Jun 2008 11:28:24 +0200

doloforge (0.14.4) unstable; urgency=low

  * apache, mason, php5: added proper configuration for ErrorDocument, by
    adding */htdocs/404.html files, used by Apache (can be symlinks)
  * mason: cache is enabled much like errors (disabled only on "devl" stage)

 -- Nicolas Huillard <nicolas@huillard.net>  Sat, 14 Jun 2008 10:52:41 +0200

doloforge (0.14.3) unstable; urgency=low

  * patch: fixed a bug related to re-running the same patch again and again,
    because the corresponding log file was not updated

 -- Nicolas Huillard <nicolas@huillard.net>  Tue, 06 May 2008 14:41:34 +0200

doloforge (0.14.2) unstable; urgency=low

  * tomcat: changed the server.xml location and symlinks, because it didn't
    work in a separate application server/storage server environement...

 -- Nicolas Huillard <nicolas@huillard.net>  Wed, 23 Apr 2008 16:26:31 +0200

doloforge (0.14.1) unstable; urgency=low

  * dependencies: changed the Postgres 8 server-side dependencies

 -- Nicolas Huillard <nicolas@huillard.net>  Thu, 17 Apr 2008 08:12:20 +0200

doloforge (0.14.0) unstable; urgency=low

  * postgres8: added the Postgres 8 service, along with the previously
    available Postgres 7

 -- Nicolas Huillard <nicolas@huillard.net>  Mon, 14 Apr 2008 23:00:43 +0200

doloforge (0.13.5) unstable; urgency=low

  * apache, perl, php, https: fixed the standalone configuration files

 -- Nicolas Huillard <nicolas@huillard.net>  Thu, 03 Apr 2008 11:55:04 +0200

doloforge (0.13.4) unstable; urgency=low

  * apache, https: configurable remote access to the devl stage, project by
    project. By default, every project is available to the LAN.
  * publish: few log verbosity fixes

 -- Nicolas Huillard <nicolas@huillard.net>  Thu, 20 Mar 2008 22:10:20 +0100

doloforge (0.13.3) unstable; urgency=low

  * patch: sqsh tweak

 -- Nicolas Huillard <nicolas@huillard.net>  Thu, 19 Mar 2008 23:58:01 +0100

doloforge (0.13.2) unstable; urgency=low

  * patch: new companion command, to run DB patches on each stage (will be
    improved to be run as a publish plug-in)

 -- Nicolas Huillard <nicolas@huillard.net>  Wed, 19 Mar 2008 23:33:15 +0100

doloforge (0.13.1) unstable; urgency=low

  * publish: polishing and preparation of the doloforge cluster before
    install, plus more polishing after first install...

 -- Nicolas Huillard <nicolas@huillard.net>  Wed, 19 Mar 2008 15:44:50 +0100

doloforge (0.13.0) unstable; urgency=low

  * publish: new command-line tool, used to publish projects from stage to
    stage
  * publish: polishing and preparation of the doloforge cluster before install

 -- Nicolas Huillard <nicolas@huillard.net>  Wed, 19 Mar 2008 11:46:22 +0100

doloforge (0.12.7) unstable; urgency=low

  * quick bugfix

 -- Nicolas Huillard <nicolas@huillard.net>  Sun, 10 Feb 2008 20:07:33 +0100

doloforge (0.12.6) unstable; urgency=low

  * doloforge-dep: added libwww-google-sitemap-perl
  * user: added the doloforge-users and doloforge-clients groups, with
    automatic adding of the corresponding IDs
  * publish: key management infrastructure
  * bulkmail: improved the documentation and tuning possibilities

 -- Nicolas Huillard <nicolas@huillard.net>  Sun, 10 Feb 2008 19:51:35 +0100

doloforge (0.12.5) unstable; urgency=low

  * config: added a --diff option when --update-ing, allowing a visual review
    of all changes in config files
  * config: do not report a configuration file as modified if it's contents is
    actually the same (I do not like to see "changed 200 files", where no
    files were actually changed). File timestamps are still modified, for the
    next run to avoid an unnecessary pass.
  * mason: fixed configuration setting for error_mode and cache_class, which
    prevented proper start...
  * user: removed Postgres DB creation at user creation time
  * all back-ends: added ProxyPassReverse to properly rewrite outgoing
    redirects (cf. Apache manual)
  * apache: AllowOverride set to All (nearly)

 -- Nicolas Huillard <nicolas@huillard.net>  Tue, 11 Dec 2007 13:57:23 +0100

doloforge (0.12.4) unstable; urgency=low

  * public repository setting

 -- Nicolas Huillard <nicolas@huillard.net>  Wed, 14 Nov 2007 23:01:34 +0100

doloforge (0.12.3) unstable; urgency=low

  * first amd64 build

 -- Nicolas Huillard <nicolas@huillard.net>  Tue, 06 Nov 2007 18:49:46 +0100

doloforge (0.12.2) unstable; urgency=low

  * all: few configuration fixes

 -- Nicolas Huillard <nicolas@huillard.net>  Tue, 09 Oct 2007 16:02:30 +0200

doloforge (0.12.1) unstable; urgency=low

  * tomcat: few configuration fixes

 -- Nicolas Huillard <nicolas@huillard.net>  Tue, 02 Oct 2007 09:26:57 +0200

doloforge (0.12.0) unstable; urgency=low

  * apache: added the "detailed" log format, including special info, which
    will feed the doloforge log analysis subsystem
  * standalone: preliminary support for the "standalone" stage, used on
    single-host setup
  * tomcat: added the tomcat service (Apache Tomcat 5.5 Java back-end
    application server)

 -- Nicolas Huillard <nicolas@huillard.net>  Sun, 30 Sep 2007 19:11:35 +0200

doloforge (0.11.11) unstable; urgency=low

  * php5: fixed the project_env.php syntax

 -- Nicolas Huillard <nicolas@huillard.net>  Tue, 11 Sep 2007 13:35:36 +0200

doloforge (0.11.10) unstable; urgency=low

  * php5: added a project_env.php file, which containts define() for every
    environement value. This file can be require_once('../../_conf/project_env.php');
  * php5: also added MySQL php.ini default values in httpd.conf, allowing to
    call mysql_connect() without any parameter at all...

 -- Nicolas Huillard <nicolas@huillard.net>  Tue, 11 Sep 2007 13:18:05 +0200

doloforge (0.11.9) unstable; urgency=low

  * bulkmail: running as non-root leads to inter-client security issues.
    Postfix now uses sudo to run doloforge CLI in a safe manner

 -- Nicolas Huillard <nicolas@huillard.net>  Thu, 06 Sep 2007 18:41:02 +0200

doloforge (0.11.8) unstable; urgency=low

    * little testing fixes

 -- Nicolas Huillard <nicolas@huillard.net>  Thu, 06 Sep 2007 15:53:47 +0200

doloforge (0.11.7) unstable; urgency=low

    * allowed the bulkmail commands to run as non-root, using /tmp recipients
      files

 -- Nicolas Huillard <nicolas@huillard.net>  Thu, 06 Sep 2007 15:12:13 +0200

doloforge (0.11.6) unstable; urgency=low

    * bulkmail: changed to To: header to the same value as From:, to hide the
      bulkmail internal address
    * bulkmail --forward is run by postfix, as the doloforge ID, which have no
      special permissions on the project files: moved the temporary files, and
      granted the run

 -- Nicolas Huillard <nicolas@huillard.net>  Thu, 06 Sep 2007 10:27:11 +0200

doloforge (0.11.5) unstable; urgency=low

    * added a sysloglevel configuration parameter (same as verbosity, applied to syslogging)

 -- Nicolas Huillard <nicolas@huillard.net>  Thu, 06 Sep 2007 10:27:11 +0200

doloforge (0.11.4) unstable; urgency=low

    * improved syslogging and added a logcheck ignore file

 -- Nicolas Huillard <nicolas@huillard.net>  Thu, 06 Sep 2007 09:20:40 +0200

doloforge (0.11.3) unstable; urgency=low

    * added a syslog facility: every message is syslogged, whatever the verbosity level
    * verbosity level can be set from 0 to 4 (not 3)
    * added the PERL5LIB environment variable in the project_env template for magic
      loading of client-specific Perl modules
    * refactored cron job running
    * added command run for the bulkmail service (same running context as cron jobs)
    * improved bulkmail error reporting
    * changed the _lists/ template directory to lists/
    * added an export for every Bash environment variable in the project_env.sh template

 -- Nicolas Huillard <nicolas@huillard.net>  Wed, 05 Sep 2007 18:13:02 +0200

doloforge (0.11.2) unstable; urgency=low

    * changed the _lists/ template directory to lists/
    * added an export for every Bash environment variable in the project_env.sh template

 -- Nicolas Huillard <nicolas@huillard.net>  Tue, 28 Aug 2007 11:59:11 +0200

doloforge (0.11.1) unstable; urgency=low

    * missing bulkmail config file...

 -- Nicolas Huillard <nicolas@huillard.net>  Mon, 27 Aug 2007 15:38:28 +0200

doloforge (0.11.0) unstable; urgency=low

    * added a doloforge-dep packages, which pulls client dependencies
    * the Bulkmail service is still alpha...

 -- Nicolas Huillard <nicolas@huillard.net>  Mon, 27 Aug 2007 14:43:45 +0200

doloforge (0.10.2) unstable; urgency=low

  * fixed cron not running of NFS because root_squash prevented acquiring the lock

 -- Nicolas Huillard <nicolas@huillard.net>  Fri, 24 Aug 2007 11:16:46 +0200

doloforge (0.10.1) unstable; urgency=low

  * wrong database skeleton directory trees...

 -- Nicolas Huillard <nicolas@huillard.net>  Thu, 23 Aug 2007 17:59:41 +0200

doloforge (0.10.0) unstable; urgency=low

  * added the Sqlserver (MS SQL Server) and Mysql services
  * both stuffed with configuration options, storage directories, and template files
  * the project_env.* generated files provide full details for DB connectivity

 -- Nicolas Huillard <nicolas@huillard.net>  Thu, 23 Aug 2007 17:45:10 +0200

doloforge (0.9.9) unstable; urgency=low

  * generalized the environment variables config file: this file contains
    varaibles that describe the project for any need (cron jobs, DB creation
    scripts and patches, etc.)
  * the same contents was previously generated only for the cron service.

 -- Nicolas Huillard <nicolas@huillard.net>  Mon, 20 Aug 2007 20:21:38 +0200

doloforge (0.9.8) unstable; urgency=low

  * few config fixes

 -- Nicolas Huillard <nicolas@huillard.net>  Wed, 20 Jun 2007 17:37:26 +0200

doloforge (0.9.7) unstable; urgency=low

  * back to one iis back-end website per project, or .NET won't work (/Bin is a static location)
  * using mkw3site.vbs to create websites on the Windows host
  * few config fixes

 -- Nicolas Huillard <nicolas@huillard.net>  Tue, 19 Jun 2007 19:13:38 +0200

doloforge (0.9.6) unstable; urgency=low

  * there is now a single generic iis back-end website, containing all projects as sub directories

 -- Nicolas Huillard <nicolas@huillard.net>  Tue, 05 Jun 2007 17:17:12 +0200

doloforge (0.9.5) unstable; urgency=low

  * iis service allows the back-end servername to be of the form "site.domain.com:80/path/to/root"

 -- Nicolas Huillard <nicolas@huillard.net>  Fri, 25 May 2007 10:52:58 +0200

doloforge (0.9.4) unstable; urgency=low

  * add extensions handling to the iis service (reverse-proxy for some
    extensions only)

 -- Nicolas Huillard <nicolas@huillard.net>  Sat, 19 May 2007 00:21:16 +0200

doloforge (0.9.3) unstable; urgency=low

  * use certificate-defined hostname for the HTTPS VirtualHost

 -- Nicolas Huillard <nicolas@huillard.net>  Fri, 18 May 2007 19:25:31 +0200

doloforge (0.9.2) unstable; urgency=low

  * project's specific certificates can only be used on the prod stage...

 -- Nicolas Huillard <nicolas@huillard.net>  Fri, 18 May 2007 15:50:48 +0200

doloforge (0.9.1) unstable; urgency=low

  * https service now allows different certificates for different projects, each one on it's own apache-ssl port

 -- Nicolas Huillard <nicolas@huillard.net>  Fri, 18 May 2007 15:17:56 +0200

doloforge (0.9.0) unstable; urgency=low

  * new IIS back-end service, allowing to reverse-proxy dynamic ASP/.NET content to a Windows server

 -- Nicolas Huillard <nicolas@huillard.net>  Wed, 16 May 2007 15:56:39 +0200

doloforge (0.8.6) unstable; urgency=low

  * umask set to 002 in perl handler

 -- Nicolas Huillard <nicolas@huillard.net>  Fri, 11 May 2007 22:43:19 +0200

doloforge (0.8.5) unstable; urgency=low

  * package dependencies fix

 -- Nicolas Huillard <nicolas@huillard.net>  Fri, 11 May 2007 19:19:15 +0200

doloforge (0.8.4) unstable; urgency=low

  * better cookie and wildcard SSL domain management

 -- Nicolas Huillard <nicolas@huillard.net>  Mon, 07 May 2007 22:54:30 +0200

doloforge (0.8.3) unstable; urgency=low

  * changed the :(NO)SSL scheme to +(NO)SSL, because page.html:SSL name can be taken as a protocol...
  * templates tuning for proper standalone, devl, test and production redirects between HTTP and HTTPS

 -- Nicolas Huillard <nicolas@huillard.net>  Fri, 04 May 2007 18:34:37 +0200

doloforge (0.8.2) unstable; urgency=low

  * changed the :(NO)SSL scheme to +(NO)SSL, because page.html:SSL name can be taken as a protocol...

 -- Nicolas Huillard <nicolas@huillard.net>  Fri, 04 May 2007 16:24:33 +0200

doloforge (0.8.1) unstable; urgency=low

  * added apache-ssl service: little tweaks

 -- Nicolas Huillard <nicolas@huillard.net>  Thu, 03 May 2007 22:53:22 +0200

doloforge (0.8.0) unstable; urgency=low

  * added apache-ssl service: a reverse-proxy in front of apache, allowing for HTTPS access to any site
  * changed serveralias parameter from string to array: beware of old project configuration files
  * changed the name of the mason components link from devl_internal_sandbox to internal_sandbox
    (see /srv/doloforge/shared/.doloforge/mason/components/; remove old links)

 -- Nicolas Huillard <nicolas@huillard.net>  Thu, 03 May 2007 18:55:46 +0200

doloforge (0.7.2) unstable; urgency=low

  * new cron service (decreased default verbosity)

 -- Nicolas Huillard <nicolas@huillard.net>  Thu, 22 Mar 2007 12:54:24 +0100

doloforge (0.7.1) unstable; urgency=low

  * new cron service (tuning)

 -- Nicolas Huillard <nicolas@huillard.net>  Wed, 21 Mar 2007 14:41:49 +0100

doloforge (0.7.0) unstable; urgency=low

  * new cron service

 -- Nicolas Huillard <nicolas@huillard.net>  Wed, 21 Mar 2007 12:18:07 +0100

doloforge (0.6.6) unstable; urgency=low

  * quick fix = fast bug : re-add adduser/deluser in ::User::group()

 -- Nicolas Huillard <nicolas@huillard.net>  Wed, 14 Feb 2007 17:37:16 +0100

doloforge (0.6.5) unstable; urgency=low

  * a few improvements, sarge installation

 -- Nicolas Huillard <nicolas@huillard.net>  Wed, 14 Feb 2007 15:53:23 +0100

doloforge (0.6.4) unstable; urgency=low

  * packaging and testing details

 -- Nicolas Huillard <nicolas@huillard.net>  Tue, 13 Feb 2007 22:11:02 +0100

doloforge (0.6.3) unstable; urgency=low

  * configuration examples, including the default Apache Debian website internal/default

 -- Nicolas Huillard <nicolas@huillard.net>  Tue, 13 Feb 2007 18:32:58 +0100

doloforge (0.6.2) unstable; urgency=low

  * few configuration and templates improvements for real-world install

 -- Nicolas Huillard <nicolas@huillard.net>  Tue, 13 Feb 2007 18:05:00 +0100

doloforge (0.6.1) unstable; urgency=low

  * upgraded apache-perl_mason.pl to new config file structure

 -- Nicolas Huillard <nicolas@huillard.net>  Tue, 13 Feb 2007 11:57:31 +0100

doloforge (0.6.0) unstable; urgency=low

  * cluster-wide configurability: see CHANGELOG

 -- Nicolas Huillard <nicolas@huillard.net>  Mon, 12 Feb 2007 17:27:16 +0100

doloforge (0.5.11) unstable; urgency=low

  * default virtual host is now a standard doloforge site (cf. /etc/doloforge/apache.conf)

 -- Nicolas Huillard <nicolas@huillard.net>  Sun, 04 Feb 2007 19:23:52 +0100

doloforge (0.5.10) unstable; urgency=low

  * sarge dependencies

 -- Nicolas Huillard <nicolas@huillard.net>  Wed, 31 Jan 2007 18:58:26 +0100

doloforge (0.5.9) unstable; urgency=low

  * sarge dependencies

 -- Nicolas Huillard <nicolas@huillard.net>  Wed, 31 Jan 2007 17:48:36 +0100

doloforge (0.5.8) unstable; urgency=low

  * little improvements
  * lintian checks

 -- Nicolas Huillard <nicolas@huillard.net>  Wed, 31 Jan 2007 16:39:01 +0100

doloforge (0.5.7-2) unstable; urgency=low

  * faulty RewriteEngine apache directive location...

 -- Nicolas Huillard <nicolas@huillard.net>  Wed, 17 Jan 2007 11:58:54 +0100

doloforge (0.5.7-1) unstable; urgency=low

  * new upstream version (see changelog)

 -- Nicolas Huillard <nicolas@huillard.net>  Wed, 17 Jan 2007 11:40:45 +0100

doloforge (0.5.6-1) unstable; urgency=low

  * missing php5 service (apache-php) YAML config file

 -- Nicolas Huillard <nicolas@huillard.net>  Mon, 15 Jan 2007 22:44:25 +0100

doloforge (0.5.5-1) unstable; urgency=low

  * new php5 doloforge service

 -- Nicolas Huillard <nicolas@huillard.net>  Mon, 15 Jan 2007 21:28:38 +0100

doloforge (0.5.4-1) unstable; urgency=low

  * depends on apache-php, newly packaged

 -- Nicolas Huillard <nicolas@huillard.net>  Mon, 15 Jan 2007 17:34:41 +0100

doloforge (0.5.3-1) unstable; urgency=low

  * remove the need for a "stage" directory : too tricky for now
  * add MySQL dependencies

 -- Nicolas Huillard <nicolas@huillard.net>  Mon, 15 Jan 2007 15:41:52 +0100

doloforge (0.5.2-1) unstable; urgency=low

  * new upstream version (see changelog)

 -- Nicolas Huillard <nicolas@huillard.net>  Thu, 16 Nov 2006 12:17:17 +0100

doloforge (0.5.1-3) unstable; urgency=low

  * do not change ownership of /etc/doloforge directory upon upgrade

 -- Nicolas Huillard <nicolas@huillard.net>  Wed, 15 Nov 2006 14:52:50 +0100

doloforge (0.5.1-1) unstable; urgency=low

  * new upstream version (see changelog)

 -- Nicolas Huillard <nicolas@huillard.net>  Wed, 15 Nov 2006 12:11:09 +0100

doloforge (0.5.0-1) unstable; urgency=low

  * "ready to install version"

 -- Nicolas Huillard <nicolas@huillard.net>  Mon,  6 Nov 2006 17:25:22 +0100

doloforge (0.4.3-2) unstable; urgency=low

  * last local testing (I hope)

 -- Nicolas Huillard <nicolas@huillard.net>  Mon,  6 Nov 2006 16:21:13 +0100

doloforge (0.4.3-1) unstable; urgency=low

  * last local testing (I hope)

 -- Nicolas Huillard <nicolas@huillard.net>  Mon,  6 Nov 2006 14:57:14 +0100

doloforge (0.4.2-1) unstable; urgency=low

  * added the Postgres7 service actions, to be tested

 -- Nicolas Huillard <nicolas@huillard.net>  Mon,  6 Nov 2006 14:30:54 +0100

doloforge (0.4.1-3) unstable; urgency=low

  * template error

 -- Nicolas Huillard <nicolas@huillard.net>  Fri,  3 Nov 2006 20:34:55 +0100

doloforge (0.4.1-2) unstable; urgency=low

  * little arrangements after new host install tests

 -- Nicolas Huillard <nicolas@huillard.net>  Fri,  3 Nov 2006 20:21:41 +0100

doloforge (0.4.1-1) unstable; urgency=low

  * little arrangements after new host install tests

 -- Nicolas Huillard <nicolas@huillard.net>  Fri,  3 Nov 2006 19:45:20 +0100

doloforge (0.4.0-1) unstable; urgency=low

  * new upstream version (see CHANGELOG)
  * tests with full apache/apache-perl/mason configuration
  * new doloforge-ap / doloforge-st packages for easy install of running
    dependecies

 -- Nicolas Huillard <nicolas@huillard.net>  Fri,  3 Nov 2006 17:09:54 +0100

doloforge (0.3-8) unstable; urgency=low

  * missing config files....

 -- Nicolas Huillard <nicolas@huillard.net>  Mon, 31 Oct 2006 00:47:00 +0100

doloforge (0.3-7) unstable; urgency=low

  * little permission adjustments

 -- Nicolas Huillard <nicolas@huillard.net>  Mon, 31 Oct 2006 00:34:40 +0100

doloforge (0.3-6) unstable; urgency=low

  * wrong sub-template evaluation
  * all these Debian packages should really be versionned upstream (ie.
    0.3.4-1)

 -- Nicolas Huillard <nicolas@huillard.net>  Mon, 30 Oct 2006 20:04:10 +0100

doloforge (0.3-5) unstable; urgency=low

  * missing object source

 -- Nicolas Huillard <nicolas@huillard.net>  Mon, 30 Oct 2006 19:19:21 +0100

doloforge (0.3-4) unstable; urgency=low

  * many templates improvements after real-life tests

 -- Nicolas Huillard <nicolas@huillard.net>  Mon, 30 Oct 2006 19:03:45 +0100

doloforge (0.3-3) unstable; urgency=low

  * missing new class source files

 -- Nicolas Huillard <nicolas@huillard.net>  Mon, 30 Oct 2006 12:28:01 +0100

doloforge (0.3-2) unstable; urgency=low

  * fixed old config files

 -- Nicolas Huillard <nicolas@huillard.net>  Mon, 30 Oct 2006 12:12:51 +0100

doloforge (0.3-1) unstable; urgency=low

  * new upstream version (see CHANGELOG)

 -- Nicolas Huillard <nicolas@huillard.net>  Mon, 30 Oct 2006 10:40:48 +0100

doloforge (0.2-1) unstable; urgency=low

  * new version

 -- Nicolas Huillard <nicolas@huillard.net>  Thu, 19 Oct 2006 02:02:26 +0200

doloforge (0.1-2) unstable; urgency=low

  * conf file misplaced, other little adjustments
  * missing man page, wrong format

 -- Nicolas Huillard <nicolas@huillard.net>  Tue, 17 Oct 2006 09:28:17 +0200

doloforge (0.1-1) unstable; urgency=low

  * Initial Release.

 -- Nicolas Huillard <nicolas@huillard.net>  Mon, 16 Oct 2006 17:57:26 +0200

